Cancel a browser CI run
curl --request POST \
--url https://api.firedrill.run/v1/projects/{projectId}/repositories/{repositoryBindingId}/browser-ci/runs/{browserCiRunId}/cancel \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"confirm": "<string>"
}
'import requests
url = "https://api.firedrill.run/v1/projects/{projectId}/repositories/{repositoryBindingId}/browser-ci/runs/{browserCiRunId}/cancel"
payload = { "confirm": "<string>" }
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({confirm: '<string>'})
};
fetch('https://api.firedrill.run/v1/projects/{projectId}/repositories/{repositoryBindingId}/browser-ci/runs/{browserCiRunId}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"schemaVersion": 1,
"browserCiRunId": "<string>",
"organizationId": "<string>",
"projectId": "<string>",
"repositoryBindingId": "<string>",
"configVersion": 0,
"pullRequestNumber": 4503599627370495,
"baseRevision": "<string>",
"candidateRevision": "<string>",
"state": "queued",
"selection": {
"mode": "all",
"changedFilesComplete": true,
"selected": [
{
"testId": "<string>",
"reason": "all",
"matchedPaths": [
"<string>"
]
}
],
"omittedTestIds": [
"<string>"
],
"changedFileCount": 4503599627370495,
"fallbackReason": "disabled"
},
"cases": [
{
"testId": "<string>",
"testVersion": 0,
"state": "pending",
"runId": "<string>"
}
],
"delivery": "pending",
"evidenceUrl": "<string>",
"createdAtMs": 0,
"updatedAtMs": 0,
"version": 0,
"failureCode": "<string>"
}{
"code": "<string>",
"message": "<string>",
"correlationId": "<string>",
"retryable": true,
"source": "platform",
"retryAfterMs": 123,
"operationId": "<string>",
"issues": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": {},
"evidence": {
"sessionId": "<string>",
"runId": "<string>",
"journalSeq": 4503599627370495,
"buildHash": "<string>"
}
}{
"code": "<string>",
"message": "<string>",
"correlationId": "<string>",
"retryable": true,
"source": "platform",
"retryAfterMs": 123,
"operationId": "<string>",
"issues": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": {},
"evidence": {
"sessionId": "<string>",
"runId": "<string>",
"journalSeq": 4503599627370495,
"buildHash": "<string>"
}
}{
"code": "<string>",
"message": "<string>",
"correlationId": "<string>",
"retryable": true,
"source": "platform",
"retryAfterMs": 123,
"operationId": "<string>",
"issues": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": {},
"evidence": {
"sessionId": "<string>",
"runId": "<string>",
"journalSeq": 4503599627370495,
"buildHash": "<string>"
}
}{
"code": "<string>",
"message": "<string>",
"correlationId": "<string>",
"retryable": true,
"source": "platform",
"retryAfterMs": 123,
"operationId": "<string>",
"issues": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": {},
"evidence": {
"sessionId": "<string>",
"runId": "<string>",
"journalSeq": 4503599627370495,
"buildHash": "<string>"
}
}{
"code": "<string>",
"message": "<string>",
"correlationId": "<string>",
"retryable": true,
"source": "platform",
"retryAfterMs": 123,
"operationId": "<string>",
"issues": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": {},
"evidence": {
"sessionId": "<string>",
"runId": "<string>",
"journalSeq": 4503599627370495,
"buildHash": "<string>"
}
}{
"code": "<string>",
"message": "<string>",
"correlationId": "<string>",
"retryable": true,
"source": "platform",
"retryAfterMs": 123,
"operationId": "<string>",
"issues": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": {},
"evidence": {
"sessionId": "<string>",
"runId": "<string>",
"journalSeq": 4503599627370495,
"buildHash": "<string>"
}
}{
"code": "<string>",
"message": "<string>",
"correlationId": "<string>",
"retryable": true,
"source": "platform",
"retryAfterMs": 123,
"operationId": "<string>",
"issues": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": {},
"evidence": {
"sessionId": "<string>",
"runId": "<string>",
"journalSeq": 4503599627370495,
"buildHash": "<string>"
}
}Cancel a browser CI run
Requires run.cancel and exact browserCiRunId confirmation. Repeated cancellation is safe; cancellation is recorded durably before child cleanup and survives coordinator restart. Poll until cancelled or superseded.
Cancel a browser CI run
Authorizations
Opaque control credential
Headers
Required string length:
8 - 128Pattern:
^[A-Za-z0-9._:-]+$Path Parameters
Pattern:
^prj_[0-9a-z]{12,32}$Pattern:
^repo_[0-9a-z]{12,32}$Pattern:
^bci_[0-9a-z]{12,32}$Body
application/json
Pattern:
^bci_[0-9a-z]{12,32}$Response
Mutation result or original idempotency receipt
Available options:
1 Pattern:
^bci_[0-9a-z]{12,32}$Pattern:
^org_[0-9a-z]{12,32}$Pattern:
^prj_[0-9a-z]{12,32}$Pattern:
^repo_[0-9a-z]{12,32}$Required range:
-9007199254740991 <= x <= 9007199254740991Required range:
0 < x <= 9007199254740991Pattern:
^[0-9a-f]{40}$Pattern:
^[0-9a-f]{40}$Available options:
queued, running, cancelling, passed, failed, cancelled, superseded Show child attributes
Show child attributes
Maximum array length:
100Show child attributes
Show child attributes
Available options:
pending, delivered, superseded Required range:
-9007199254740991 <= x <= 9007199254740991Required range:
-9007199254740991 <= x <= 9007199254740991Required range:
-9007199254740991 <= x <= 9007199254740991Maximum string length:
100